Subject: Re: [bug#59342] [PATCH 2/3] gnu: lldb: Update to 15.0.5.
From: Christopher Baines <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 22 Nov 2022 09:39:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Greg Hogan <[email-masked]> writes:

> On Sat, Nov 19, 2022 at 8:35 AM Christopher Baines <[email-masked]> wrote:
>>
>> Greg Hogan <[email-masked]> writes:
>>
>> > * gnu/packages/llvm.scm (lldb): Update to 15.0.5.
>> > [version]: Use version from LLVM-15.
>> > [inputs]: Change from LLVM-14 and CLANG-14 to LLVM-15 and CLANG-15.
>> > ---
>> >  gnu/packages/llvm.scm | 6 +++---
>> >  1 file changed, 3 insertions(+), 3 deletions(-)
>> >
>> > diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
>> > index 020c9bb302..d9bbe9c078 100644
>> > --- a/gnu/packages/llvm.scm
>> > +++ b/gnu/packages/llvm.scm
>> > @@ -1631,7 +1631,7 @@ (define-public lld-as-ld-wrapper
>> >  (define-public lldb
>> >    (package
>> >      (name "lldb")
>> > -    (version "14.0.6")
>> > +    (version (package-version llvm-15))
>>
>> Hi Greg, thanks for the patches.
>>
>> Looking at https://qa.guix.gnu.org/issue/59342 it seems that this
>> updated [email-masked] fails to build.
>>
>> Do you see the same failure locally?
>>
>> Thanks,
>>
>> Chris
>
> From my three patches I build
> patch 1/3: /gnu/store/zi7pyql63j15m2ap0pf1xq4nly58pw7s-lldb-14.0.6
> patch 2/3: /gnu/store/chrwzab8icp9p3mswkr6glbxba89pm6s-lldb-15.0.5
> patch 3/3: /gnu/store/chrwzab8icp9p3mswkr6glbxba89pm6s-lldb-15.0.5
>
> The data service builds lldb-15.0.4 (which errors on the missing
> cmake_push_check_state fixed in 15.0.5).
>
> Following the link from the data service, revision 7ab0095a [1] is
> missing the first patch from this patchset [2]. Ideas?

Thanks for looking in to this Greg, something must have gone wrong with
the applying of the patches! I deleted the branch and it's been
re-created now, with all patches present.

Now I'm not seeing any failures, so I've gone ahead and pushed this to
master as 07746c2b153dfeacf714261f330c04d42e570f3c.

Sorry for the initial confusion!

Thanks,

Chris